import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { ContactUsPageCmsService } from "./contact-us-page-cms.service";
import { UpdateContactUsPageCmsDto } from "./dto/update-contact-us-page-cms.dto";

@Controller({ path: "contact-us-page-cms", version: Constants.API_VERSION_1 })

export class ContactUsPageCmsController {
    constructor(private readonly service: ContactUsPageCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdateContactUsPageCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
