import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { DoSpacesServicerovider } from "../SpacesModule/SpacesService";
import { DoSpacesService } from "../SpacesModule/SpacesService/doSpacesService";
import { CareerApplicantController } from "./career-applicant.controller";
import { CareerApplicantRepository } from "./career-applicant.repository";
import { CareerApplicantService } from "./career-applicant.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([CareerApplicantRepository])
    ],
    controllers: [CareerApplicantController],
    providers: [CareerApplicantService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class CareerApplicantModule {
}
